Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## groovy.io
Enum FileVisitResult

    java.lang.Object
      java.lang.Enum<FileVisitResult>
          groovy.io.FileVisitResult

All Implemented Interfaces:
  Serializable, Comparable<FileVisitResult>

    public enum FileVisitResult
    extends Enum<FileVisitResult>

Represents special return values for the 'preDir', 'postDir' and 'visit'/supplied Closures used with `DefaultGroovyMethods.traverse(java.io.File, java.util.Map, groovy.lang.Closure)` and related methods to control subsequent traversal behavior.

Enum Constant Summary
Enum Constant and Description
`CONTINUE` Continue processing; the default
`SKIP_SIBLINGS` Skip processing sibling files/directories within the current directory being processed
`SKIP_SUBTREE` Do not process the child files/subdirectories within the current directory being processed
`TERMINATE` Do not process any more files

Method Summary
Modifier and Type | Method and Description
--- | ---
`static FileVisitResult` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static FileVisitResult[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CONTINUE

    public static final FileVisitResult CONTINUE

  Continue processing; the default

### SKIP_SIBLINGS

    public static final FileVisitResult SKIP_SIBLINGS

  Skip processing sibling files/directories within the current directory being processed

### SKIP_SUBTREE

    public static final FileVisitResult SKIP_SUBTREE

  Do not process the child files/subdirectories within the current directory being processed

### TERMINATE

    public static final FileVisitResult TERMINATE

  Do not process any more files

Method Detail

### values

    public static FileVisitResult[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (FileVisitResult c : FileVisitResult.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static FileVisitResult valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2010 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD